summaryrefslogtreecommitdiff
path: root/src/templating/run-original-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/templating/run-original-tests.sh')
-rwxr-xr-xsrc/templating/run-original-tests.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/src/templating/run-original-tests.sh b/src/templating/run-original-tests.sh
new file mode 100755
index 000000000..21481a286
--- /dev/null
+++ b/src/templating/run-original-tests.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+# This file is in the public domain.
+set -eux
+
+export CFLAGS="-g"
+
+echo "Ensuring clean state on entry to upstream tests ..."
+make clean
+
+# The build fails if libjson-c-dev is not installed.
+# That's OK, we don't otherwise need it and don't
+# even bother testing for it in configure.ac.
+# However, in that case, skip the test suite.
+make -f mustach-original-Makefile mustach mustach-json-c.o || exit 77
+make -f mustach-original-Makefile clean || true
+make -f mustach-original-Makefile basic-tests
+make -f mustach-original-Makefile clean || true
+
+exit 0